Upstream information

CVE-2016-5387 at MITRE

Description

The Apache HTTP Server through 2.4.23 follows RFC 3875 section 4.1.18 and therefore does not protect applications from the presence of untrusted client data in the HTTP_PROXY environment variable, which might allow remote attackers to redirect an application's outbound HTTP traffic to an arbitrary proxy server via a crafted Proxy header in an HTTP request, aka an "httpoxy" issue. NOTE: the vendor states "This mitigation has been assigned the identifier CVE-2016-5387"; in other words, this is not a CVE ID for a vulnerability.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5.1 5
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network Network
Access Complexity High Low
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial Partial
Availability Impact Partial None
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.1
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 988484 [CONFIRMED], 988486 [RESOLVED / FIXED], 988487 [RESOLVED], 988488 [RESOLVED / FIXED], 988489 [RESOLVED / FIXED], 988491 [RESOLVED / FIXED], 988492 [RESOLVED / DUPLICATE], 989125 [RESOLVED / WORKSFORME], 989174 [RESOLVED / WORKSFORME], 989684 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • apache2 >= 2.4.33-1.28
  • apache2-devel >= 2.4.33-1.28
  • apache2-doc >= 2.4.33-1.28
  • apache2-prefork >= 2.4.33-1.28
  • apache2-utils >= 2.4.33-1.28
  • apache2-worker >= 2.4.33-1.28
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA apache2
SUSE Linux Enterprise Server 11 SP4
  • apache2 >= 2.2.12-64.1
  • apache2-doc >= 2.2.12-64.1
  • apache2-example-pages >= 2.2.12-64.1
  • apache2-prefork >= 2.2.12-64.1
  • apache2-utils >= 2.2.12-64.1
  • apache2-worker >= 2.2.12-64.1
Patchnames:
slessp4-apache2-12654
SUSE Linux Enterprise Server 12 SP1
  • apache2 >= 2.4.16-7.1
  • apache2-doc >= 2.4.16-7.1
  • apache2-example-pages >= 2.4.16-7.1
  • apache2-prefork >= 2.4.16-7.1
  • apache2-utils >= 2.4.16-7.1
  • apache2-worker >= 2.4.16-7.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1067
SUSE Linux Enterprise Server 12 SP2
  • apache2 >= 2.4.23-14.7
  • apache2-doc >= 2.4.23-14.7
  • apache2-example-pages >= 2.4.23-14.7
  • apache2-prefork >= 2.4.23-14.7
  • apache2-utils >= 2.4.23-14.7
  • apache2-worker >= 2.4.23-14.7
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA apache2
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA apache2
SUSE Linux Enterprise Server 12-LTSS
  • apache2 >= 2.4.10-14.17.1
  • apache2-doc >= 2.4.10-14.17.1
  • apache2-example-pages >= 2.4.10-14.17.1
  • apache2-prefork >= 2.4.10-14.17.1
  • apache2-utils >= 2.4.10-14.17.1
  • apache2-worker >= 2.4.10-14.17.1
Patchnames:
SUSE-SLE-SERVER-12-2016-1235
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2 >= 2.4.23-14.7
  • apache2-doc >= 2.4.23-14.7
  • apache2-example-pages >= 2.4.23-14.7
  • apache2-prefork >= 2.4.23-14.7
  • apache2-utils >= 2.4.23-14.7
  • apache2-worker >= 2.4.23-14.7
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA apache2
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2 >= 2.2.12-64.1
  • apache2-doc >= 2.2.12-64.1
  • apache2-example-pages >= 2.2.12-64.1
  • apache2-prefork >= 2.2.12-64.1
  • apache2-utils >= 2.2.12-64.1
  • apache2-worker >= 2.2.12-64.1
Patchnames:
slessp4-apache2-12654
SUSE Linux Enterprise Server for SAP Applications 12
  • apache2 >= 2.4.10-14.17.1
  • apache2-doc >= 2.4.10-14.17.1
  • apache2-example-pages >= 2.4.10-14.17.1
  • apache2-prefork >= 2.4.10-14.17.1
  • apache2-utils >= 2.4.10-14.17.1
  • apache2-worker >= 2.4.10-14.17.1
Patchnames:
SUSE-SLE-SAP-12-2016-1235
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • apache2 >= 2.4.16-7.1
  • apache2-doc >= 2.4.16-7.1
  • apache2-example-pages >= 2.4.16-7.1
  • apache2-prefork >= 2.4.16-7.1
  • apache2-utils >= 2.4.16-7.1
  • apache2-worker >= 2.4.16-7.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1067
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • apache2 >= 2.4.10-14.17.1
  • apache2-doc >= 2.4.10-14.17.1
  • apache2-example-pages >= 2.4.10-14.17.1
  • apache2-prefork >= 2.4.10-14.17.1
  • apache2-utils >= 2.4.10-14.17.1
  • apache2-worker >= 2.4.10-14.17.1
Patchnames:
SUSE-SLE-SERVER-12-2016-1235
SUSE Linux Enterprise Software Development Kit 11 SP4
  • apache2 >= 2.2.12-64.1
  • apache2-devel >= 2.2.12-64.1
  • apache2-doc >= 2.2.12-64.1
  • apache2-example-pages >= 2.2.12-64.1
  • apache2-prefork >= 2.2.12-64.1
  • apache2-utils >= 2.2.12-64.1
  • apache2-worker >= 2.2.12-64.1
Patchnames:
sdksp4-apache2-12654
SUSE Linux Enterprise Software Development Kit 12 SP1
  • apache2 >= 2.4.16-7.1
  • apache2-devel >= 2.4.16-7.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1067
SUSE Linux Enterprise Software Development Kit 12 SP2
  • apache2-devel >= 2.4.23-14.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA apache2-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2-devel >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache2-devel
SUSE Studio Onsite 1.3
  • apache2 >= 2.2.12-64.1
  • apache2-devel >= 2.2.12-64.1
Patchnames:
slestso13-apache2-12654
openSUSE Leap 15.0
  • apache2 >= 2.4.33-lp150.1.2
  • apache2-doc >= 2.4.33-lp150.1.2
  • apache2-example-pages >= 2.4.33-lp150.1.2
  • apache2-prefork >= 2.4.33-lp150.1.2
  • apache2-utils >= 2.4.33-lp150.1.2
Patchnames:
openSUSE Leap 15.0 GA apache2
openSUSE Leap 42.1
  • apache2 >= 2.4.16-12.1
  • apache2-debuginfo >= 2.4.16-12.1
  • apache2-debugsource >= 2.4.16-12.1
  • apache2-devel >= 2.4.16-12.1
  • apache2-doc >= 2.4.16-12.1
  • apache2-event >= 2.4.16-12.1
  • apache2-event-debuginfo >= 2.4.16-12.1
  • apache2-example-pages >= 2.4.16-12.1
  • apache2-mod_fcgid >= 2.3.9-7.1
  • apache2-mod_fcgid-debuginfo >= 2.3.9-7.1
  • apache2-mod_fcgid-debugsource >= 2.3.9-7.1
  • apache2-prefork >= 2.4.16-12.1
  • apache2-prefork-debuginfo >= 2.4.16-12.1
  • apache2-utils >= 2.4.16-12.1
  • apache2-utils-debuginfo >= 2.4.16-12.1
  • apache2-worker >= 2.4.16-12.1
  • apache2-worker-debuginfo >= 2.4.16-12.1
Patchnames:
openSUSE-2016-1005
openSUSE-2016-880
openSUSE Leap 42.2
  • apache2 >= 2.4.23-4.3
  • apache2-devel >= 2.4.23-4.3
  • apache2-doc >= 2.4.23-4.3
  • apache2-example-pages >= 2.4.23-4.3
  • apache2-prefork >= 2.4.23-4.3
  • apache2-utils >= 2.4.23-4.3
Patchnames:
openSUSE Leap 42.2 GA apache2
openSUSE Leap 42.3
  • apache2 >= 2.4.23-11.2
  • apache2-devel >= 2.4.23-11.2
  • apache2-doc >= 2.4.23-11.2
  • apache2-example-pages >= 2.4.23-11.2
  • apache2-prefork >= 2.4.23-11.2
  • apache2-utils >= 2.4.23-11.2
Patchnames:
openSUSE Leap 42.3 GA apache2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP2 apache2 Released
SUSE Linux Enterprise SDK 11 SP3 apache2 Released
SUSE Linux Enterprise SDK 11 SP4 apache2 Released
SUSE Linux Enterprise SDK 12 GA apache2 In progress
SUSE Linux Enterprise SDK 12 SP1 apache2 In progress
SUSE Linux Enterprise Server 10 SP4 LTSS apache2 Affected
SUSE Linux Enterprise Server 11 GA apache2 Released
SUSE Linux Enterprise Server 11 SP1 LTSS apache2 Released
SUSE Linux Enterprise Server 11 SP2 apache2 Released
SUSE Linux Enterprise Server 11 SP2 LTSS apache2 Released
SUSE Linux Enterprise Server 11 SP3 apache2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 Released
SUSE Linux Enterprise Server 11 SP4 apache2 Released
SUSE Linux Enterprise Server 12 GA apache2 In progress
SUSE Linux Enterprise Server 12 GA LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP1 apache2 In progress
SUSE Linux Enterprise Server for SAP Applications 11 SP2 apache2 Released
SUSE Linux Enterprise Server for VMWare 11 SP2 apache2 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 apache2 Released
SUSE Studio Onsite 1.3 apache2 Released